Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 667270 - dev-db/influxdb-1.6.3 - src_compile(): cmd/influxd/backup/backup.go:22:2: cannot find package "github.com/klauspost/pgzip" in any of: ...
Summary: dev-db/influxdb-1.6.3 - src_compile(): cmd/influxd/backup/backup.go:22:2: can...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: William Hubbs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-29 07:54 UTC by Toralf Förster
Modified: 2019-03-04 10:11 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.65 KB, text/plain)
2018-09-29 07:55 UTC, Toralf Förster
Details
dev-db:influxdb-1.6.3:20180928-223657.log (dev-db:influxdb-1.6.3:20180928-223657.log,7.40 KB, text/plain)
2018-09-29 07:55 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,274.58 KB, text/plain)
2018-09-29 07:55 UTC, Toralf Förster
Details
environment (environment,85.66 KB, text/plain)
2018-09-29 07:55 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,28.75 KB, application/x-bzip)
2018-09-29 07:55 UTC, Toralf Förster
Details
Updated dependencies (influx-1.6.3.ebuild.patch,6.35 KB, patch)
2018-10-18 19:24 UTC, Florian Knodt
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2018-09-29 07:54:59 UTC
 * ERROR: dev-db/influxdb-1.6.3::gentoo failed (compile phase):
 *   compile failed
 * 

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-systemd_libressl_20180921-044716

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.1
 [2] x86_64-pc-linux-gnu-8.2.0 *

Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.6
  [3]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby23 (with Rubygems)
  [2]   ruby25 (with Rubygems) *



emerge -qpv dev-db/influxdb
[ebuild  N    ] dev-db/influxdb-1.6.3
Comment 1 Toralf Förster gentoo-dev 2018-09-29 07:55:02 UTC
Created attachment 548154 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2018-09-29 07:55:05 UTC
Created attachment 548156 [details]
dev-db:influxdb-1.6.3:20180928-223657.log
Comment 3 Toralf Förster gentoo-dev 2018-09-29 07:55:08 UTC
Created attachment 548158 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2018-09-29 07:55:11 UTC
Created attachment 548160 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2018-09-29 07:55:14 UTC
Created attachment 548162 [details]
etc.portage.tbz2
Comment 6 Loux 2018-10-06 18:39:50 UTC
>>> Compiling source in /var/tmp/portage/dev-db/influxdb-1.6.3/work/influxdb-1.6.3 ...
env GOPATH=/var/tmp/portage/dev-db/influxdb-1.6.3/work/influxdb-1.6.3 go build -v -work -x ./...
WORK=/var/tmp/portage/dev-db/influxdb-1.6.3/temp/go-build906233928
cmd/influxd/backup/backup.go:22:2: cannot find package "github.com/klauspost/pgzip" in any of:
        /var/tmp/portage/dev-db/influxdb-1.6.3/work/influxdb-1.6.3/src/github.com/influxdata/influxdb/vendor/github.com/klauspost/pgzip (vendor tree)
        /usr/lib/go/src/github.com/klauspost/pgzip (from $GOROOT)
        /var/tmp/portage/dev-db/influxdb-1.6.3/work/influxdb-1.6.3/src/github.com/klauspost/pgzip (from $GOPATH)
 * ERROR: dev-db/influxdb-1.6.3::gentoo failed (compile phase):
 *   compile failed
 * 
 * Call stack:
 *     ebuild.sh, line 124:  Called src_compile
 *   environment, line 1451:  Called die
 * The specific snippet of code:
 *       "$@" || die "compile failed";
Comment 7 Florian Knodt 2018-10-18 19:24:06 UTC
Created attachment 551824 [details, diff]
Updated dependencies

Based on upstreams Godeps. Compiles and starts up, might catch fire later
Comment 8 Arne Hüggenberg 2018-10-22 11:42:53 UTC
(In reply to Florian Knodt from comment #7)
> Created attachment 551824 [details, diff] [details, diff]
> Updated dependencies
> 
> Based on upstreams Godeps. Compiles and starts up, might catch fire later

builds and runs for me
Comment 9 William Hubbs gentoo-dev 2019-02-09 16:42:40 UTC
Does 1.6.4 work for you?
Comment 10 Toralf Förster gentoo-dev 2019-02-09 17:40:07 UTC
(In reply to William Hubbs from comment #9)
> Does 1.6.4 work for you?

yes